aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorpracticalswift <practicalswift@users.noreply.github.com>2019-09-19 21:13:26 +0000
committerpracticalswift <practicalswift@users.noreply.github.com>2019-09-19 21:13:26 +0000
commit72a18a73af26ea551d39397787a2d178c8bbde7b (patch)
treebf8ec7ccf3b762b8ba600d262ca1f18efee1c346 /test
parent7d4bc60f1fee785d355fe4d376c0a369fc64dd68 (diff)
downloadbitcoin-72a18a73af26ea551d39397787a2d178c8bbde7b.tar.xz
tests: Add information on how to add Vulture suppressions
Diffstat (limited to 'test')
-rwxr-xr-xtest/lint/lint-python-dead-code.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/lint/lint-python-dead-code.sh b/test/lint/lint-python-dead-code.sh
index 77bf5990a7..af37d393e8 100755
--- a/test/lint/lint-python-dead-code.sh
+++ b/test/lint/lint-python-dead-code.sh
@@ -13,7 +13,11 @@ if ! command -v vulture > /dev/null; then
exit 0
fi
-vulture \
+VULTURE_SUPPRESSIONS=$(dirname "${BASH_SOURCE[0]}")/lint-python-dead-code-whitelist
+if ! vulture \
--min-confidence 60 \
$(git rev-parse --show-toplevel) \
- $(dirname "${BASH_SOURCE[0]}")/lint-python-dead-code-whitelist
+ "${VULTURE_SUPPRESSIONS}"; then
+ echo "False positives? Suppressions can be added to ${VULTURE_SUPPRESSIONS}"
+ exit 1
+fi